Subject: linux-next: manual merge of the userns tree with the vfs tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 20 Jun 2018 11:44:41 +1000

Hi all,

Today's linux-next merge of the userns tree got a conflict in:

  fs/proc/internal.h

between commit:

  0223e0999be2 ("procfs: Move proc_fill_super() to fs/proc/root.c")

from the vfs tree and commit:

  04035aa33a12 ("proc: Don't change mount options on remount failure.")

from the userns tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc fs/proc/internal.h
index ea8c5468eafc,69fa8d953cde..000000000000
--- a/fs/proc/internal.h
+++ b/fs/proc/internal.h
@@@ -270,10 -252,16 +270,15 @@@ static inline void proc_tty_init(void) 
  /*
   * root.c
   */
+ struct proc_mount_options {
+ 	kgid_t pid_gid;
+ 	int hide_pid;
+ };
+ 
  extern struct proc_dir_entry proc_root;
 -extern int proc_parse_options(char *options, struct proc_mount_options *opts);
  
  extern void proc_self_init(void);
 -extern int proc_remount(struct super_block *, int *, char *);
 +extern int proc_reconfigure(struct super_block *, struct fs_context *);
  
  /*
   * task_[no]mmu.c